[arch-commits] Commit in (4 files)

Tobias Powalowski tpowa at archlinux.org
Sun Apr 19 08:44:23 EDT 2009


    Date: Sunday, April 19, 2009 @ 08:44:22
  Author: tpowa
Revision: 36010

'add as depend of mp3splt'

Added:
  libmp3splt/
  libmp3splt/repos/
  libmp3splt/trunk/
  libmp3splt/trunk/PKGBUILD

----------+
 PKGBUILD |   27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

Added: libmp3splt/trunk/PKGBUILD
===================================================================
--- libmp3splt/trunk/PKGBUILD	                        (rev 0)
+++ libmp3splt/trunk/PKGBUILD	2009-04-19 12:44:22 UTC (rev 36010)
@@ -0,0 +1,27 @@
+# $Id: PKGBUILD 13857 2008-09-29 03:24:40Z allan $
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=libmp3splt
+pkgver=0.5.4
+pkgrel=1
+arch=('i686' 'x86_64')
+pkgdesc="Library for splitting mp3 and ogg files without decoding"
+license=('GPL')
+url="http://mp3splt.sourceforge.net"
+depends=('libmad' 'libvorbis' 'libid3tag' 'libtool')
+source=(http://downloads.sourceforge.net/sourceforge/mp3splt/$pkgname-$pkgver.tar.gz)
+options=(!libtool)
+
+build() {
+  cd $srcdir/$pkgname-$pkgver
+  #patch -Np0 -i ../mp3splt-gcc4.patch
+  ./configure --prefix=/usr
+  make || return 1
+  make DESTDIR=$pkgdir/ install || return 1
+  #mkdir -p $startdir/pkg/usr/bin
+  #      for bin in mp3splt; do
+  #              install -D -m755 $bin $startdir/pkg/usr/bin/$bin
+  #      done
+  #      install -D -m644 mp3splt.1 $startdir/pkg/usr/man/man1/mp3splt.1
+}
+



More information about the arch-commits mailing list